public class Application : Gtk.Window {
    public Application () {
        this.title = "NFC Test";

        // Center window at startup:
        this.window_position = Gtk.WindowPosition.CENTER;

        // Sets the default size of a window:
        this.set_default_size (550, 400);

        // Whether the titlebar should be hidden during maximization.
        this.hide_titlebar_when_maximized = false;

        // Method called on pressing [X]
        this.destroy.connect (() => {
            Gtk.main_quit ();
        });

        // Widget content:
        var button = new Gtk.Button.with_label ("Present Card");
        var entry = new Gtk.Entry ();
        var grid = new Gtk.Grid ();
        grid.orientation = Gtk.Orientation.VERTICAL;
        grid.halign = Gtk.Align.CENTER;
        grid.valign = Gtk.Align.CENTER;
        grid.row_spacing = 12;
        grid.add (entry);
        grid.add (button);
        button.clicked.connect (() => {
            present_card (entry.text);
        });
        add (grid);
    }

    private void present_card (string card_id) {
        try {
            KfetNFC kfet_nfc = Bus.get_proxy_sync (BusType.SESSION, "fr.assoensea.kfet.nfc",
                                                        "/fr/assoensea/kfet/nfc");
            kfet_nfc.present_tag (card_id);
        } catch (IOError e) {
            critical (e.message);
        }
    }

    public static int main (string[] args) {
        Gtk.init (ref args);

        Application app = new Application ();
        app.show_all ();
        Gtk.main ();
        return 0;
    }
}

[DBus (name = "fr.assoensea.kfet.nfc")]
public interface KfetNFC : Object {
    public abstract void present_tag (string tag) throws IOError;
}
