/* Copyright 2015 Corentin Noël <corentin@elementary.io>
*
* This file is part of Cafeteria
*
* Cafeteria is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Cafeteria is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Cafeteria. If not, see http://www.gnu.org/licenses/.
*/

public class Cafeteria.BalancePreview : Gtk.Grid {
    private Gtk.Label name_label;
    private Gtk.Label balance_label;
    public BalancePreview () {
        
    }

    construct {
        orientation = Gtk.Orientation.VERTICAL;
        row_spacing = 12;

        name_label = new Gtk.Label (null);
        name_label.get_style_context ().add_class ("h1");
        name_label.expand = true;
        name_label.valign = Gtk.Align.END;

        balance_label = new Gtk.Label (null);
        balance_label.expand = true;
        balance_label.valign = Gtk.Align.START;
        balance_label.get_style_context ().add_class ("h2");

        add (name_label);
        add (balance_label);
    }

    public void set_user_info (UserInfo user) {
        name_label.label = user.get_pretty_name ();
        balance_label.label = "%s - %s".printf (Utils.format_money (user.money), user.member ? _("Member") : _("Not Member"));
    }
}
