/* Copyright 2015 Corentin Noël <corentin@elementary.io>
*
* This file is part of Cafeteria
*
* Cafeteria is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Cafeteria is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Cafeteria. If not, see http://www.gnu.org/licenses/.
*/

public class Cafeteria.CardInfo : GLib.Object {
    public string name { get; set; default = null; }
    public string uid { get; set; default = null; }

    public CardInfo () {
        
    }

    public static string get_pretty_name (string code_name) {
        switch (code_name) {
            case "student":
                return _("Student Card");
            case "entry":
                return _("Entry Card");
            case "bracelet":
                return _("Bracelet");
            case "phone":
                return _("Phone");
            case "other":
                return _("Other");
            default:
                return code_name;
        }
    }

    public static string[] get_code_names () {
        return {"student", "entry", "bracelet", "phone", "other"};
    }
}
