/* Copyright 2015 Corentin Noël <corentin@elementary.io>
*
* This file is part of Cafeteria
*
* Cafeteria is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Cafeteria is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Cafeteria. If not, see http://www.gnu.org/licenses/.
*/

public class Cafeteria.UserInfo : GLib.Object {
    public int64 id { get; set; default = -1; }
    public string name { get; set; default = null; }
    public string first_name { get; set; default = null; }
    public uint money { get; set; default = 0; }
    public bool member { get; set; default = false; }

    public UserInfo () {
        
    }

    public string get_pretty_name () {
        return name + " " + first_name;
    }

    public string get_pretty_name_markup () {
        return "<b>" + Markup.escape_text (name) + "</b> " + Markup.escape_text (first_name);
    }
}
