/* Copyright 2015 Corentin Noël <corentin@elementary.io>
*
* This file is part of Cafeteria
*
* Cafeteria is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Cafeteria is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Cafeteria. If not, see http://www.gnu.org/licenses/.
*/

public class Cafeteria.AdminPage : Cafeteria.Page {
    public signal void show_others ();

    private Gtk.Button other_button;

    public AdminPage () {
        
    }

    construct {
        orientation = Gtk.Orientation.HORIZONTAL;
        margin = 12;
        column_spacing = 12;
        var menu_button = new Gtk.Button.with_label (_("Menus"));
        menu_button.expand = true;
        var product_button = new Gtk.Button.with_label (_("Products"));
        product_button.expand = true;
        var stock_button = new Gtk.Button.with_label (_("Stocks"));
        stock_button.expand = true;
        add (menu_button);
        add (product_button);
        add (stock_button);

        other_button = new Gtk.Button.with_label (_("Other Operations"));
        other_button.get_style_context ().add_class ("back-button");
        other_button.clicked.connect (() => show_others ());
    }

    public override unowned Gtk.Widget get_start_title () {
        return other_button;
    }

    public override unowned Gtk.Widget? get_end_title () {
        return null;
    }

    public override string get_name () {
        return _("Administration");
    }
}
