/* Copyright 2015 Corentin Noël <corentin@elementary.io>
*
* This file is part of Cafeteria
*
* Cafeteria is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Cafeteria is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Cafeteria. If not, see http://www.gnu.org/licenses/.
*/

public class Cafeteria.OtherPage : Cafeteria.Page {
    public signal void show_home ();
    public signal void show_balance ();
    public signal void show_refill ();
    public signal void show_card ();
    public signal void show_stock ();

    private Gtk.Button home_button;

    public OtherPage () {
        
    }

    construct {
        margin = 12;
        column_spacing = 12;
        row_spacing = 6;
        column_homogeneous = true;
        var refill_button = new Gtk.Button.with_label (_("Refill"));
        refill_button.expand = true;

        var balance_button = new Gtk.Button.with_label (_("Balance"));

        var cards_button = new Gtk.Button.with_label (_("Manage Cards"));
        cards_button.expand = true;

        var stocks_button = new Gtk.Button.with_label (_("Manage Stocks"));

        var disconnect_button = new Gtk.Button.with_label (_("Disconnect"));
        disconnect_button.halign = Gtk.Align.CENTER;
        disconnect_button.get_style_context ().add_class (Gtk.STYLE_CLASS_DESTRUCTIVE_ACTION);

        attach (refill_button, 0, 0, 1, 1);
        attach (balance_button, 1, 0, 1, 1);
        attach (cards_button, 0, 1, 1, 1);
        attach (stocks_button, 1, 1, 1, 1);
        attach (disconnect_button, 0, 2, 2, 1);

        home_button = new Gtk.Button.with_label (_("Home"));
        home_button.get_style_context ().add_class ("back-button");
        home_button.clicked.connect (() => show_home ());

        refill_button.clicked.connect (() => show_refill ());
        balance_button.clicked.connect (() => show_balance ());
        cards_button.clicked.connect (() => show_card ());
        stocks_button.clicked.connect (() => show_stock ());

        disconnect_button.clicked.connect (() => {
            Database.get_default ().log_out ();
            show_home ();
        });
    }

    public override unowned Gtk.Widget get_start_title () {
        return home_button;
    }

    public override unowned Gtk.Widget? get_end_title () {
        return null;
    }

    public override string get_name () {
        return _("Other Operations");
    }
}
