
public class Cafeteria.Reader : GLib.Object {
    public signal void error_message (string msg);
    public signal void tag_found (string UID);
    private bool listening = false;

    public Reader () {
        Bus.own_name (BusType.SESSION, "fr.assoensea.kfet.nfc", BusNameOwnerFlags.NONE, on_bus_aquired,
                      () => {},
                      () => critical ("Could not aquire name"));
    }

    public void start_poll () {
        listening = true;
    }

    public void stop_poll () {
        listening = false;
    }

    private void on_bus_aquired (DBusConnection conn) {
        try {
            var kfet_nfc = new KfetNFC ();
            conn.register_object ("/fr/assoensea/kfet/nfc", kfet_nfc);
            kfet_nfc.tag_found.connect ((tag) => {
                if (listening) {
                    tag_found (tag);
                }
            });
        } catch (IOError e) {
            critical ("Could not register service");
        }
    }
}

[DBus (name = "fr.assoensea.kfet.nfc")]
public class KfetNFC : Object {
    public signal void tag_found (string tag);
    public void present_tag (string tag) {
        tag_found (tag);
    }
}
